Skip to content
GridRouterhome

Search

Search providers, capabilities and pages

Docs
API referenceWaterfalls

Waterfall versions

GET
/v1/waterfalls/{id}/versions

Every published version (immutable), newest first.

Authorization

bearer
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Match^wf_[a-z0-9]{8,40}$

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/waterfalls/string/versions"
{  "items": [    {      "version": "string",      "definition": {        "kind": "waterfall",        "id": "main",        "capability": "string",        "steps": [          {            "type": "endpoint",            "endpoint_id": "string",            "id": "string",            "timeout_ms": 100,            "retries": 0,            "retry_backoff_ms": 250,            "max_cost_micro": 0,            "required_fields": [],            "min_confidence": 0,            "confidence_field": "confidence",            "prefer_verified": false,            "continue_on_hit": false,            "credential": "auto",            "on_client_error": "continue",            "when": {              "field": "string",              "op": "eq",              "value": "string"            }          }        ],        "speed": {          "profile": "balanced"        },        "stop": [          {            "rule": "first_hit"          }        ],        "stop_mode": "any",        "merge": {},        "input_map": {},        "when": {          "field": "string",          "op": "eq",          "value": "string"        },        "fields": [          "string"        ],        "max_cost_micro": 0,        "deadline_ms": 500      },      "notes": "",      "created_at": "2019-08-24T14:15:22Z",      "created_by": "string"    }  ]}